Subject: Re: Linking with -R (rpath) not supported on Darwin

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Oct 2007 14:41:51 -0700

Benoit SIGOURE <[email-masked]> writes:

> It didn't harm but the build process should be more careful to not use
> options that are not supported by the compiler.  And it's not a
> matter of using -Wl,-rpath instead.

As I do not have an access to a Darwin box (nor anybody sent me
a free Mac yet), I do not have any interest in fixing it myself
nor more importantly any means to verify the result.  That makes
it _your_ build process that should be more careful ;-).

You know where -R is coming from and can find out what options
_your_ platform wants, so why not send in a patch _before_
complaining?